# class DBus::Data::DictEntry

Dictionary/Hash entry. TODO: shouldn’t instantiate?

### Public Class Methods

from_items(value, mode:, type:) click to toggle source

@param value [::Array]

        # File lib/dbus/data.rb
    695 def self.from_items(value, mode:, type:) # rubocop:disable Lint/UnusedMethodArgument
    696   value.freeze
    697   # DictEntry ignores the :exact mode
    698   value
    699 end

from_typed(value, type:) click to toggle source

@param value [::Object] (size, each) @param type [Type] @return [DictEntry]

        # File lib/dbus/data.rb
    704 def self.from_typed(value, type:)
    705   new(value, type: type)
    706 end

type_code() click to toggle source

        # File lib/dbus/data.rb
    690 def self.type_code
    691   "e"
    692 end